/*
 * Copyright (c) 2016, Texas Instruments Incorporated
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 *
 * *  Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 *
 * *  Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 *
 * *  Neither the name of Texas Instruments Incorporated nor the names of
 *    its contributors may be used to endorse or promote products derived
 *    from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
 * AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,
 * THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
 * PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR
 * CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
 * EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
 * OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 * WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
 * OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE,
 * EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */

/*
 *  ======== Tiva.xs ========
 *
 */

var peripheralsTable = {};

peripheralsTable["0TIMERS"] = [
];

peripheralsTable["2TIMERS"] = [
    {
        factory: "ti.catalog.arm.peripherals.timers.Timer",
        params: {name: "Timer0", baseAddr: 0x40030000, intNum: 35}
    },
    {
        factory: "ti.catalog.arm.peripherals.timers.Timer",
        params: {name: "Timer1", baseAddr: 0x40031000, intNum: 37}
    }
];

peripheralsTable["3TIMERS"] = [];
for (var i = 0; i < peripheralsTable["2TIMERS"].length; i++) {
    peripheralsTable["3TIMERS"][i] = {};
    for (var prop in peripheralsTable["2TIMERS"][i]) {
        peripheralsTable["3TIMERS"][i][prop]
            = peripheralsTable["2TIMERS"][i][prop];
    }
}
peripheralsTable["3TIMERS"][i] = {
    factory: "ti.catalog.arm.peripherals.timers.Timer",
    params: {name: "Timer2", baseAddr: 0x40032000, intNum: 39}
};

peripheralsTable["4TIMERS"] = [];
for (var i = 0; i < peripheralsTable["3TIMERS"].length; i++) {
    peripheralsTable["4TIMERS"][i] = {};
    for (var prop in peripheralsTable["3TIMERS"][i]) {
        peripheralsTable["4TIMERS"][i][prop]
            = peripheralsTable["3TIMERS"][i][prop];
    }
}
peripheralsTable["4TIMERS"][i] = {
    factory: "ti.catalog.arm.peripherals.timers.Timer",
    params: {name: "Timer3", baseAddr: 0x40033000, intNum: 51}
};

peripheralsTable["6TIMERS"] = [];
for (var i = 0; i < peripheralsTable["4TIMERS"].length; i++) {
    peripheralsTable["6TIMERS"][i] = {};
    for (var prop in peripheralsTable["4TIMERS"][i]) {
        peripheralsTable["6TIMERS"][i][prop]
            = peripheralsTable["4TIMERS"][i][prop];
    }
}
peripheralsTable["6TIMERS"][i++] = {
    factory: "ti.catalog.arm.peripherals.timers.Timer",
    params: {name: "Timer4", baseAddr: 0x40034000, intNum: 86}
};
peripheralsTable["6TIMERS"][i] = {
    factory: "ti.catalog.arm.peripherals.timers.Timer",
    params: {name: "Timer5", baseAddr: 0x40035000, intNum: 108}
};

peripheralsTable["8TIMERS"] = [];
for (var i = 0; i < peripheralsTable["4TIMERS"].length; i++) {
    peripheralsTable["8TIMERS"][i] = {};
    for (var prop in peripheralsTable["4TIMERS"][i]) {
        peripheralsTable["8TIMERS"][i][prop]
            = peripheralsTable["4TIMERS"][i][prop];
    }
}
peripheralsTable["8TIMERS"][i++] = {
    factory: "ti.catalog.arm.peripherals.timers.Timer",
    params: {name: "Timer4", baseAddr: 0x40034000, intNum: 79}
};
peripheralsTable["8TIMERS"][i++] = {
    factory: "ti.catalog.arm.peripherals.timers.Timer",
    params: {name: "Timer5", baseAddr: 0x40035000, intNum: 81}
};
peripheralsTable["8TIMERS"][i++] = {
    factory: "ti.catalog.arm.peripherals.timers.Timer",
    params: {name: "Timer6", baseAddr: 0x400E0000, intNum: 114}
};
peripheralsTable["8TIMERS"][i] = {
    factory: "ti.catalog.arm.peripherals.timers.Timer",
    params: {name: "Timer7", baseAddr: 0x400E1000, intNum: 116}
};

/*
 *  ======== instance$meta$init ========
 */
function instance$meta$init(revision)
{
    this.$private.realDevice = revision;

    var tableEntry;
    /*
     * Define which actual devices correspond to the above defined
     * descriptor tables. Also, additional configurations important
     * to SYS/BIOS are made here.
     */
    if (this.$private.realDevice.match(/^LM4F294P9ZAD/)
        || this.$private.realDevice.match(/^LM4F29EP9ZAD/)
        || this.$private.realDevice.match(/^LM4F290P9PDT/)
        || this.$private.realDevice.match(/^LM4F292P9PDT/)
        || this.$private.realDevice.match(/^LM4F29CP9PDT/)
        || this.$private.realDevice.match(/^LM4F29DP9PDT/)
        || this.$private.realDevice.match(/^LM4F290P9ZAD/)
        || this.$private.realDevice.match(/^LM4F292P9ZAD/)
        || this.$private.realDevice.match(/^LM4F29CP9ZAD/)
        || this.$private.realDevice.match(/^LM4F29DP9ZAD/)
        || this.$private.realDevice.match(/^LM4F294P9PDT/)
        || this.$private.realDevice.match(/^LM4F29EP9PDT/)
        || this.$private.realDevice.match(/^LM4FB15P9ZAD/)
        || this.$private.realDevice.match(/^LM4FS01P9ZAD/)
        || this.$private.realDevice.match(/^TM4C129/)
        || this.$private.realDevice.match(/^TM4E12/)) {
        tableEntry = "8TIMERS";
    }
    else if (this.$private.realDevice.match(/^LM4/)
        || this.$private.realDevice.match(/^TM4C123/)
        || this.$private.realDevice.match(/^SC0/)
        || this.$private.realDevice.match(/^SC4/)) {
        tableEntry = "6TIMERS";
    }
    else if (this.$private.realDevice.match(/^TM4L/)) {
        tableEntry = "0TIMERS";
    }
    else {
        tableEntry = "4TIMERS";
    }

    if (peripheralsTable[tableEntry] != null) {
        for (var i = 0; i < peripheralsTable[tableEntry].length; i++) {
            var entry = peripheralsTable[tableEntry][i];
            var modName = entry.factory;
            var mod = xdc.useModule(modName);
            var params = entry.params;

            /* construct the create arguments */
            var args = [];
            args.push(params);

            /* construct the peripheral */
            this.peripherals[params.name] = mod.create.$apply(mod, args);
        }
    }
}

/*
 *  ======== Tiva.getMemoryMap ========
 *  Returns the memory map as seen by a program running on this device.
 */
function getMemoryMap(regs)
{
    return (null);
}
